Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512848 - biber-2.6-6.fc28 FTBFS: sortinithash does not match in tests
Summary: biber-2.6-6.fc28 FTBFS: sortinithash does not match in tests
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: biber
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Macdonald
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 09:44 UTC by Petr Pisar
Modified: 2018-10-20 05:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-20 05:22:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1509758 None CLOSED perl-Unicode-Collate-1.21 is available 2019-02-12 08:19:55 UTC

Internal Links: 1509758

Description Petr Pisar 2017-11-14 09:44:04 UTC
biber-2.6-6.fc28 fails to build in F28 because tests fail like this:

+ ./Build test
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/}(\pM+\pL){ <-- HERE (?!\pL+\\)/ at /builddir/build/BUILD/biber-2.6/blib/lib/Biber/LaTeX/Recode.pm line 297.
#   Failed test 'Annotations - 1'
#   at t/annotations.t line 87.
# --- Got
# +++ Expected
# @@ -1,39 +1,39 @@
#  '    \\entry{ann1}{misc}{}
#        \\name{author}{3}{}{%
#          {{hash=89a9e5097e11e595700540379c9b3a6b}{%
#             family={Last1},
#             familyi={L\\bibinitperiod},
#             given={First1},
#             giveni={F\\bibinitperiod}}}%
#          {{hash=7475b6b7b3c24a2ac6bd4d146cdc74dc}{%
#             family={Last2},
#             familyi={L\\bibinitperiod},
#             given={First2},
#             giveni={F\\bibinitperiod}}}%
#          {{hash=fd3dffa06a5d1f89c512841df1ccf4d0}{%
#             family={Last3},
#             familyi={L\\bibinitperiod},
#             given={First3},
#             giveni={F\\bibinitperiod}}}%
#        }
#        \\list{language}{2}{%
#          {english}%
#          {french}%
#        }
#        \\strng{namehash}{90ae96c82de92e36949bc64254bbde0c}
#        \\strng{fullhash}{90ae96c82de92e36949bc64254bbde0c}
#        \\strng{authornamehash}{90ae96c82de92e36949bc64254bbde0c}
#        \\strng{authorfullhash}{90ae96c82de92e36949bc64254bbde0c}
#        \\field{sortinit}{L}
# -      \\field{sortinithash}{2c7981aaabc885868aba60f0c09ee20f}
# +      \\field{sortinithash}{7bba64db83423e3c29ad597f3b682cf3}
#        \\field{labelnamesource}{author}
#        \\field{labeltitlesource}{title}
#        \\field{title}{The Title}
#        \\annotation{field}{language}{}{}{ann4}
#        \\annotation{field}{title}{}{}{one, two}
#        \\annotation{item}{author}{2}{}{corresponding}
#        \\annotation{item}{language}{1}{}{ann1}
#        \\annotation{item}{language}{2}{}{ann2, ann3}
#        \\annotation{part}{author}{1}{family}{student}
#      \\endentry
#  '
# Looks like you failed 1 test of 1.
t/annotations.t ........ 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 

This is caused by upgrading perl-Unicode-Collate from 1.20-1.fc28 to 1.21-1.fc28. The biber tests are oversensitive to Unicode::Collate capabilities. Upstream fixed biber with this commit:

commit 33848fc870a7df93074bc938117d447a1d104f4b
Author: Philip Kime <Philip@kime.org.uk>
Date:   Mon Nov 6 14:03:43 2017 +0100

    Update sortinithas for new U::C keys

I pushed perl-Unicode-Collate-1.21 into all Fedoras as an enhancement updated (not yet stable), so I guess this biber commit should be applied to all Fedoras too.

Comment 1 Colin Macdonald 2017-11-16 09:47:05 UTC
Thanks!  Unfortunately, its not trivial to cherry-pick, so this might take me some time :(

What really should be done is split texlive-biblatex out of the monolithic texlive spec.  Than both biblatex and biber could be bumped as upstream updates them.

Comment 2 Fedora End Of Life 2018-02-20 15:26:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Colin Macdonald 2018-03-30 15:47:18 UTC
I'm experimenting with splitting off biblatex.  Feedback requested at https://bugzilla.redhat.com/show_bug.cgi?id=1561929

Comment 4 Colin Macdonald 2018-10-20 05:22:31 UTC
Re-enabled tests in
https://src.fedoraproject.org/rpms/biber/c/6ccec30e381d08d3cf965451a3a93c0fcf604d79


Note You need to log in before you can comment on or make changes to this bug.